> >

Post New Thread  Reply
 
Thread Tools
Old 02-24-11, 04:50 PM   #15
She Dragon Extraordinaire

Join Date: Jan 2010
Location: In the bowels of the Earth
Posts: 2,669
Quote: Originally Posted by pencilmanca73 View Post
Installed the Calibre plugins and followed epub/B&N instructions, still getting "This book is locked with DRM". Not sure what I am doing wrong. Is there a more detailed instruction?
Any help appreciated.
Jim

Were you the original purchaser? Did you read the txt file for the Ignoble Epub DeDRM plugin? PM me if you did by the book and the txt file does not help so I can trouble shoot with you,

BD
bookdragon is offline   Reply With Quote
Old 02-24-11, 06:39 PM   #16
Newcomer
Join Date: Feb 2011
Posts: 2
The book(s) was purchased by me. Not sure which txt file you are referring to. I downloaded tools 3.6, followed instructions on adding to calibre plugins and configuring for B&N. I am new to all of this and am probably not understanding all instructions.

Last edited by pencilmanca73; 02-24-11 at 09:21 PM.
pencilmanca73 is offline   Reply With Quote
Old 02-25-11, 04:07 AM   #17
Newcomer
Join Date: Jan 2011
Posts: 24
Basically, All I did was import the plugin for Kindle, I then configured it with my Kindle's serial number and the PID generated from the site posted within this thread, then, all I had to do was import the book. The book had the DRM removed and was converted into the MOBI format. Once Calibre and the plugin is setup and configured correctly, it is easy! Thanks again OP!!
xfarmer is offline   Reply With Quote
Old 02-25-11, 09:26 AM   #18
Newcomer
Join Date: Feb 2011
Posts: 1
Default Worked flawlessly!

Thanks very much for your post, your time and your effort. Everything worked as described.

I installed Calibre 7.46, used tools 3.6 and was able to Dedrm using Calibre plugins and also with the python script DeDrm_Dr shortcut drag-and-drop method.

Well Done!!!

Markton is offline   Reply With Quote
Old 02-25-11, 10:01 AM   #19
Deditus libris


Join Date: May 2010
Posts: 3,760
Please PM the original poster for individual questions or help.

This is a Resource forum, not a help or discussion forum.

Thank you.
rainbowspinner is offline   Reply With Quote
Old 02-27-11, 05:58 AM   #20
Newcomer
Join Date: Aug 2009
Posts: 8
Thanks bookdragon, you're brilliant! I wondered why my Kindle plugin had suddenly stopped working......now I know. I'm putting this thread in my favourites right now......
galee is offline   Reply With Quote
Old 03-22-11, 11:01 AM   #21
Newcomer
Join Date: Feb 2011
Posts: 32
After a few trials/errors...I finally got this to work with my B&N epubs...yay! Thanks so much! If others are having trouble, go to the txt doc in the zip file, it gives more info!
raycee3 is offline   Reply With Quote
Old 03-24-11, 09:10 PM   #22
She Dragon Extraordinaire

Join Date: Jan 2010
Location: In the bowels of the Earth
Posts: 2,669
Just updated main link to version 3.7 which has bug fixes for certain kindle books.Those using other formats need not bother re-downloading.
bookdragon is offline   Reply With Quote
Old 03-25-11, 05:07 PM   #23
Newcomer
Join Date: Jun 2009
Posts: 56
Works great with the free Kindle e-books from Amazon! Thanks!
cajungirlkye is offline   Reply With Quote
Old 04-21-11, 08:17 PM   #24
She Dragon Extraordinaire

Join Date: Jan 2010
Location: In the bowels of the Earth
Posts: 2,669
NO QUESTIONS WILL BE ANSWERED HERE. THIS IS A RESOURCE THREAD NOT A HELP THREAD AS PER AN EARLIER POST BY RAINBOWSPINNER.

I will be more then happy to answer any questions sent to me in a PM.I would like to keep this thread alive so I can update the files as needed, but this will not happen if people keep breaking the rules.
bookdragon is offline   Reply With Quote
Old 05-18-11, 06:33 PM   #25
She Dragon Extraordinaire

Join Date: Jan 2010
Location: In the bowels of the Earth
Posts: 2,669
Update May 2011
The New Version of Kindle for PC breaks the scripts so DO NOT upgrade to Kindle for PC 1.5.0. If you already have, revert to version 1.4.1. Who knows what they’ve done or even if it’s fixable, but the scripts cannot find the kindle.inf files! Version 1.4.1 can be found all over the net, but if you have trouble locating one… you can download it here and turn off auto updates!!!

Last edited by bookdragon; 05-26-11 at 04:48 PM.
bookdragon is offline   Reply With Quote
Old 06-02-11, 08:32 PM   #26
Newcomer
Join Date: Jun 2011
Posts: 1
Got this error message while attempting to add plugins
calibre, version 0.8.3
ERROR: Unhandled exception: <b>InvalidPlugin</b>:The plugin in u'C:/Users/xxxx/Downloads/tools_v3.8.zip' is invalid. It does not contain a top-level __init__.py file

Traceback (most recent call last):
File "site-packages\calibre\gui2\preferences\plugins.py", line 287, in add_plugin
File "site-packages\calibre\customize\ui.py", line 322, in add_plugin
File "site-packages\calibre\customize\ui.py", line 54, in load_plugin
File "site-packages\calibre\customize\zipplugin.py", line 160, in load
File "site-packages\calibre\customize\zipplugin.py", line 255, in _locate_code
InvalidPlugin: The plugin in u'C:/Users/xxxx/Downloads/tools_v3.8.zip' is invalid. It does not contain a top-level __init__.py file
lev2 is offline   Reply With Quote
Old 06-13-11, 04:12 PM   #27
Newcomer
Join Date: Jun 2011
Posts: 1
You are a god!!!
zackcary is offline   Reply With Quote
Old 06-15-11, 03:57 PM   #28
She Dragon Extraordinaire

Join Date: Jan 2010
Location: In the bowels of the Earth
Posts: 2,669
With thanks to the authors and original uploaders of these tools from the retired Apprentice Alf's Blog

Announcing a major upgrade to the “tools”-link on 1st post of this thread

Improvements in tools_v4.0.zip
——————————————

- Support for Kindle for PC version 1.5.0 and later has been added which required a reverse-engineering effort and a rework of the code
(warning: experimental – very limited testing has been done)

- All plugins have been updated to the new Calibre plugin interface that requires at minimum Calibre 0.7.55 but work **best** with Calibre 0.8.1 or later

- New for Android Users!: A Kindle for Android patch that allows MobiDeDRM.py to be used with a patched version of Kindle for Android 3 to effectively create an “Unswindle for Kindle for Android”

- Linux wine users can now successfully use KindleBooks/K4Mobi Calibre Plugin under recent Wine versions (1.3.18-1.3.21). Requires Windows K4PC and Windows Calibre (or Windows ActiveState Active Python 2.7 for 32bit for the KindleBooks tool) to be installed under wine. The bug in wine which caused the problem with earlier tools should be fixed in wine 1.3.22

- Bug fixes to the Topaz htmlz ebook stylesheets and move to use .htmlz archives versus .zip archives

- Bug fix for DeDRM 2.7.app for Kindle ebooks that have the substring “error” or “Error” in the title of the book which confused the error detection code in the app.

- minor interface changes (no functionality changes) for ineptpdf and mobidedrm to ease its use as imported modules by other python code

Includes new versions of almost everything:

* Adobe_PDF_Tools (minor update to sync with plugin version)
* eReader_PDB_Tools (minor update to sync with plugin version)
* Calibre_Plugins
– eReaderPDB2PML_v05_plugin.zip
– ignobleepub_v01.6_plugin.zip
– ineptepub_v01.7_plugin.zip
– ineptpdf_v01.4_plugin.zip
– K4MobiDeDRM_v03.1_plugin.zip
* DeDRM 2.7.app (all in one drag and drop tool for Mac OS X)
* DeDRM_WinApp_v2.0 (all in one drag and drop tool for Windows)
* KindleBooks (gui tools for Kindle ebooks)
* Kindle_for_Android_Patch (New!)
* MobiDeDRM.py (to version 30, a minor interface update)

Last edited by bookdragon; 06-15-11 at 04:00 PM.
bookdragon is offline   Reply With Quote
Reply


Thread Tools



All times are GMT -7. The time now is 10:04 PM.
SEO by vBSEO ©2011, Crawlability, Inc.